summaryrefslogtreecommitdiffstats
path: root/system/cdwrite/cdwrite.SlackBuild
diff options
context:
space:
mode:
author Cezary M. Kruk2011-08-09 17:53:56 +0200
committer Niels Horn2011-08-09 17:53:56 +0200
commitce538ef95cfeb483f1bf6aebc7cf03d2cacd7dcb (patch)
tree4f7bb7fb78a3a659a187e4bad61a42e5175a796e /system/cdwrite/cdwrite.SlackBuild
parentdfa57e71659d7533a4460cddd947b593e7c5ef23 (diff)
downloadslackbuilds-ce538ef95cfeb483f1bf6aebc7cf03d2cacd7dcb.tar.gz
system/cdwrite: Added (CD/DVD reading/writing/encoding shell)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system/cdwrite/cdwrite.SlackBuild')
-rw-r--r--system/cdwrite/cdwrite.SlackBuild62
1 files changed, 62 insertions, 0 deletions
diff --git a/system/cdwrite/cdwrite.SlackBuild b/system/cdwrite/cdwrite.SlackBuild
new file mode 100644
index 0000000000..114eeddabb
--- /dev/null
+++ b/system/cdwrite/cdwrite.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for cdwrite
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+
+PRGNAM=cdwrite
+VERSION=${VERSION:-3.3}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=$PKG/usr
+
+make install
+
+# Since we installed directly in $PKG, fix the links
+cd $PKG/usr/bin
+ for link in $( find . -type l ); do
+ dest=$( readlink $link )
+ ln -sf $( basename $dest ) $link
+ done
+cd -
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm $PKG/usr/etc/cdwrite.conf
+rmdir $PKG/usr/etc
+
+mkdir $PKG/etc
+cp -p cdwrite.conf $PKG/etc/cdwrite.conf.new
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+